Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020781
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminoralways2012-06-15 12:122012-06-21 15:49
ReporteriperdomoView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchpiFixed in SCM revision9dc141df1f43
ProjectionnoneETAnoneTarget Version3.0MP13
OSLinux 64 bitDatabasePostgreSQLJava versionOpenJDK 1.6.0_24
OS Version3.3.7-1-ARCHDatabase version9.1.3Ant version1.8.2
Product VersionpiSCM revisionb2f3cf3eb4ee 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020781: Refactor StaticResourcesComponent concepts

DescriptionCurrently a module can add resources to Openbravo through a ComponentProvider.

A resource can be:
- Static
- Dynamic
- Style

And you can be included a "mode":
- classic
- 3.00

This approach is too restrictive. You cannot reuse the StaticResourcesComponent in another window that is not classic, nor 3.00.
Steps To ReproduceTry to use StaticResources in a different HTML file (application) that is not classic, nor Openbravo 3.
Proposed SolutionThe proposed solution is to add the concept of Application, a resource is either Static, Dynamic or Style, and is "valid for" an *Application*.

This allows us to reuse the StaticResourcesComponent in other applications like Web POS.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020807 closediperdomo Wrong behaviour in add transaction and in add payment from transaction windows 

-  Notes
(0049860)
hgbot (developer)
2012-06-15 16:19

Repository: erp/devel/pi
Changeset: 9dc141df1f4374822efb03fe4c5ba498c931ec4c
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Jun 15 16:17:10 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9dc141df1f4374822efb03fe4c5ba498c931ec4c [^]

Fixes issue 20781: Adds the concept of _application_ to ComponentResources
- Now a ComponentResource (dynamic, static, style) has a *valid for* list, in this way we
  can reuse the StaticResourcesComponent and StyleResourcesComponents in other
  applications like Web POS
- This changeset doesn't introduce a change in behavior. If a request is made with _appName,
  the parameter is used, if not, we check for _mode, and the last case case (no parameter)
  is a classic mode call
- Adds an error handler to index.jsp to get an alert() when you have errors in some static .js

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelConstants.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StaticResourceComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/StyleSheetResourceComponent.java
M src/index.jsp
---
(0049987)
alostale (developer)
2012-06-21 15:49

code reviewed and verified on pi@20d1a6b019e0

- Issue History
Date Modified Username Field Change
2012-06-15 12:12 iperdomo New Issue
2012-06-15 12:12 iperdomo Assigned To => iperdomo
2012-06-15 12:12 iperdomo Web browser => Google Chrome
2012-06-15 12:12 iperdomo Modules => Core
2012-06-15 12:12 iperdomo Web browser Google Chrome => Google Chrome
2012-06-15 12:12 iperdomo Type defect => design defect
2012-06-15 12:12 iperdomo Web browser Google Chrome => Google Chrome
2012-06-15 12:12 iperdomo Description Updated View Revisions
2012-06-15 12:13 iperdomo Web browser Google Chrome => Google Chrome
2012-06-15 12:13 iperdomo Description Updated View Revisions
2012-06-15 12:30 iperdomo Status new => scheduled
2012-06-15 12:30 iperdomo fix_in_branch => pi
2012-06-15 16:19 hgbot Checkin
2012-06-15 16:19 hgbot Note Added: 0049860
2012-06-15 16:19 hgbot Status scheduled => resolved
2012-06-15 16:19 hgbot Resolution open => fixed
2012-06-15 16:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9dc141df1f4374822efb03fe4c5ba498c931ec4c [^]
2012-06-19 18:13 Sandrahuguet Relationship added related to 0020807
2012-06-21 15:49 alostale Note Added: 0049987
2012-06-21 15:49 alostale Status resolved => closed
2012-06-21 15:49 alostale Fixed in Version => 3.0MP13


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker